module nexus-server

go 1.22.2

replace nexus-common/buildversion => ../common/buildversion

replace nexus-common/template => ../common/template

replace nexus-common/vm => ../common/vm

replace nexus-common/params => ../common/params

replace nexus-common/caps => ../common/caps

replace nexus-server/users => ./users

replace nexus-server/logger => ./logger

replace nexus-server/router => ./router

replace nexus-server/vms => ./vms

replace nexus-server/utils => ./utils

replace nexus-server/config => ./config

replace nexus-server/cleaner => ./cleaner

replace nexus-server/exec => ./exec

replace nexus-server/qga => ./qga

replace nexus-server/version => ./version

require (
	github.com/sirupsen/logrus v1.9.3
	nexus-common/buildversion v0.0.0-00010101000000-000000000000
	nexus-server/cleaner v0.0.0-00010101000000-000000000000
	nexus-server/config v0.0.0-00010101000000-000000000000
	nexus-server/exec v0.0.0-00010101000000-000000000000
	nexus-server/logger v0.0.0-00010101000000-000000000000
	nexus-server/router v0.0.0-00010101000000-000000000000
	nexus-server/users v0.0.0-00010101000000-000000000000
	nexus-server/utils v0.0.0-00010101000000-000000000000
	nexus-server/version v0.0.0-00010101000000-000000000000
	nexus-server/vms v0.0.0-00010101000000-000000000000
)

require (
	github.com/gabriel-vasile/mimetype v1.4.3 // indirect
	github.com/go-playground/locales v0.14.1 // indirect
	github.com/go-playground/universal-translator v0.18.1 // indirect
	github.com/go-playground/validator/v10 v10.19.0 // indirect
	github.com/golang-jwt/jwt v3.2.2+incompatible // indirect
	github.com/google/uuid v1.6.0 // indirect
	github.com/labstack/echo/v4 v4.11.4 // indirect
	github.com/labstack/gommon v0.4.2 // indirect
	github.com/leodido/go-urn v1.4.0 // indirect
	github.com/mattn/go-colorable v0.1.13 // indirect
	github.com/mattn/go-isatty v0.0.20 // indirect
	github.com/sethvargo/go-password v0.2.0 // indirect
	github.com/valyala/bytebufferpool v1.0.0 // indirect
	github.com/valyala/fasttemplate v1.2.2 // indirect
	golang.org/x/crypto v0.21.0 // indirect
	golang.org/x/net v0.22.0 // indirect
	golang.org/x/sys v0.18.0 // indirect
	golang.org/x/text v0.14.0 // indirect
	golang.org/x/time v0.5.0 // indirect
	gopkg.in/ini.v1 v1.67.0 // indirect
	nexus-common/caps v0.0.0-00010101000000-000000000000 // indirect
	nexus-common/params v0.0.0-00010101000000-000000000000 // indirect
	nexus-common/template v0.0.0-00010101000000-000000000000 // indirect
	nexus-common/vm v0.0.0-00010101000000-000000000000 // indirect
	nexus-server/qga v0.0.0-00010101000000-000000000000 // indirect
)
